Package org.eclipse.rdf4j.sail.federation.algebra

## Class OwnedTupleExpr

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryTupleOperator
    - - org.eclipse.rdf4j.sail.federation.algebra.OwnedTupleExpr

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `TupleExpr`, `VariableScopeChange`

      public class OwnedTupleExpr
      extends UnaryTupleOperator

  Indicates that the argument should be evaluated in a particular member.
  Author:
    James Leigh
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.UnaryTupleOperator

      `arg`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OwnedTupleExpr​(RepositoryConnection owner, TupleExpr arg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<BindingSet,​QueryEvaluationException>` | `evaluate​(Dataset dataset, BindingSet bindings)` |
    `RepositoryConnection` | `getOwner()` |
    `String` | `getSignature()` | Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
    `boolean` | `hasQuery()` |
    `void` | `prepare​(QueryLanguage queryLn, String qry, Map<String,​String> bindings)` |
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.UnaryTupleOperator

      `clone, equals, getArg, getAssuredBindingNames, getBindingNames, hashCode, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.GraphPatternGroupable

      `isGraphPatternGroup, setGraphPatternGroup`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### OwnedTupleExpr

          public OwnedTupleExpr​(RepositoryConnection owner,
                                TupleExpr arg)

  - ### Method Detail

    - #### getOwner

          public RepositoryConnection getOwner()

    - #### prepare

          public void prepare​(QueryLanguage queryLn,
                              String qry,
                              Map<String,​String> bindings)
                       throws RepositoryException,
                              MalformedQueryException

      Throws:
        `RepositoryException`
        `MalformedQueryException`

    - #### hasQuery

          public boolean hasQuery()

    - #### evaluate

          public CloseableIteration<BindingSet,​QueryEvaluationException> evaluate​(Dataset dataset,
                                                                                        BindingSet bindings)
                                                                                 throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### getSignature

          public String getSignature()

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
      Specified by:
        `getSignature` in interface `QueryModelNode`
      Overrides:
        `getSignature` in class `AbstractQueryModelNode`
      Returns:
        The node's signature, e.g. SLICE (offset=10, limit=10).